Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08367 Crash/Freeze Major Always Jul 3, 2022, 20:54 Jul 8, 2022, 09:58
Tester danylopez123 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows 10/11 (64-bit)
Status [?] Confirmed Driver
Version 0.245 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 08367: mag_xain: After completing a planet, the game will either Freeze and Restart, Freeze and Respawn from the last checkpoint or Just Freeze
Description I can understand that the Magnet System it's still in a WIP state, i'm just leaving this report here for when it can get fixed and someone knows what will happen while this is still happening, if you wan't to delete or close this, that's fine.

This seems to be happening to me at random but, when i complete a planet in Xain'd Sleena (Magnet System), the game will always freeze and will either restart the game, respawn from the last checkpoint or just freeze, i'm not sure if these side effects can affect depending on what planet you are, it was just random and depending of the planet.

For the Respawn from the last checkpoint or Just Freeze, that is like less common to happen, mostly it just freezes and resets the game.

I think once when i completed a planet, it managed to get back to the planet selection screen but that happened when i overclocked the different CPUs, can't remember how much.

If there's no solution for this yet, i might suggest marking Xain'd Sleena (Magnet System) as "NOT WORKING" until there's a fix or the Magnet System gets more completed and fixed but that's up to you.
Steps To Reproduce 1. Pick a Planet
2. Go through the level until you beat it
3. Wait until the "Next Planet Awaits You" screen
4. The Ship and Space background layers dissapears leaving only the text
5. After a few seconds, the text fades
6. Either Restarts, Respawn from the last checkpoint or Just Freeze in a Black Screen
Additional Information I would have used Save States to speed up the process but.. loading a Save State causes the emulator to crash so i had to spend more time on this until.. i was burned out, if you also need to edit this report, you are free to edit it and explain it better.
Github Commit
Flags
Regression Version
Affected Sets / Systems mag_xain
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.20358
Tafoid
Administrator
Jul 4, 2022, 22:25
If state states are not functional, you can play a game using the "-record filename.inp" to create an input file which can be logged then using "-playback filename.inp" should allow developers to follow your inputs until it comes to the crashing part in question.
User avatar
No.20363
Tafoid
Administrator
Jul 7, 2022, 03:01
I had to use cheats to get to the end of level, but I was able to confirm the inability to continue playing.
User avatar
No.20364
Robbbert
Developer
Jul 7, 2022, 04:05
I had no trouble with save states (even though they are unsupported), but i suck at games and was unable to complete a level.
User avatar
No.20368
Haze
Senior Tester
Jul 8, 2022, 09:58
edited on: Jul 8, 2022, 09:59
at some point several of the Magnet games regressed, the Magnet System Exzisus crashes now during the first stage too.

I'm not sure when that happened.

Xain did used to fail to progress sometimes in certain cases, but given how easy it is to softlock Time Scanner just by using the tilt function, you do have to wonder if the devs tested these nasty hacks.

It was also reported to me that Paris Dakar crashes after the isometric stages (which of course just after where I stopped testing at the time because they were too difficult for me)

The problem is also confidence in the images, you could get reliable reads that were bad (bits flipped, or blocks of data repeated instead of real data) just from using different drives to read them.